Bug 1306489 - Filesystem has a dependency on /bin/sh
Filesystem has a dependency on /bin/sh
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 20:21 EST by Ian Wienand
Modified: 2017-08-15 03:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Wienand 2016-02-10 20:21:30 EST
I believe probably after [1] where a %posttrans section was added to fixup selinux permissions, filesystem has a dependency on /bin/sh (see, say, [2])

---
 Requires 	
 /bin/sh
 rpmlib(BuiltinLuaScripts) <= 4.2.2-1
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(FileDigests) <= 4.6.0-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
 rpmlib(PayloadIsXz) <= 5.2-1
 setup
---

This seems to be a bit of a circular dependency because as you can imagine bash->glibc->basesystem->filesystem 

Basically I have an empty chroot, I have "rpm --root" installed "fedora-release" into it, then I use "yum --installroot dnf" to install into the chroot.  This does correctly bundle up everything into a transaction, e.g.

---
2016-02-10 14:49:45,658 INFO nodepool.image.build.fedora-23: Transaction Test Succeeded
2016-02-10 14:49:45,659 INFO nodepool.image.build.fedora-23: Running Transaction
2016-02-10 14:49:45,660 INFO nodepool.image.build.fedora-23: ** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
2016-02-10 14:49:45,661 INFO nodepool.image.build.fedora-23: fedora-release-23-1.noarch has missing requires of /bin/sh
2016-02-10 14:49:45,812 INFO nodepool.image.build.fedora-23: Installing : libgcc-5.3.1-2.fc23.x86_64                                 1/163
2016-02-10 14:49:46,000 INFO nodepool.image.build.fedora-23: Installing : setup-2.9.8-2.fc23.noarch                                  2/163
2016-02-10 14:49:46,191 INFO nodepool.image.build.fedora-23: Installing : filesystem-3.2-35.fc23.x86_64                              3/163
2016-02-10 14:49:46,192 INFO nodepool.image.build.fedora-23: warning: group mail does not exist - using root
2016-02-10 14:49:46,424 INFO nodepool.image.build.fedora-23: Installing : basesystem-11-1.fc23.noarch                                4/163
...
---

But the problem seems to be that I think yum creates a lock-file in the chroot's "/var/run/" and thus goes ahead and makes that directory.  Thus in the chroot image, "/var/run" is not a symlink back to "/run" which is incorrect in the final image.

So this is how I came to pre-doing a rpm install of setup/basesystem/filesystem, which lead me to this dependency issue

I can force it with --nodeps, but I'm wondering if there is a better way...

[1] http://pkgs.fedoraproject.org/cgit/rpms/filesystem.git/commit/?id=221011c16fd023a6a39c42909cc6880271feb119
[2] http://koji.fedoraproject.org/koji/rpminfo?rpmID=6751629
Comment 1 Ondrej Vasik 2016-06-30 01:19:43 EDT
Hmmms, of course, it can be easily rewritten to lua to prevent this hard dependency - otoh - when you don't have restorecon ( from policycoreutils ) in the transacation, it may break the resulting SELinux context of basic directories ( that's why I use posttrans scriptlet in filesystem - it installs too early). And obviously, I don't want to have dependency on policycoreutils there ;).
Comment 2 Fedora End Of Life 2016-11-24 10:30:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-02-28 04:54:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 4 Jan Kurik 2017-08-15 03:09:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.